Get order

⚠️ We no longer recommend using the Orders API. Please refer to the Payments API instead.

Retrieve a single order object by its ID.

Access with

API key

Organization access token with orders.read

OAuth access with orders.read

Path Params
string
required

Provide the ID of the related order.

Query Params
string
enum

This endpoint allows embedding related API items by appending the following values via the embed query string parameter.

Show Details
paymentsInclude all payments created for this order.
refundsInclude all refunds created for this order.
shipmentsInclude all shipments created for this order.
Allowed:
boolean

Most API credentials are specifically created for either live mode or test mode. In those cases the testmode query parameter must not be sent. For organization-level credentials such as OAuth access tokens, you can enable test mode by setting the testmode query parameter to true.

Test entities cannot be retrieved when the endpoint is set to live mode, and vice versa.

Responses

Language
Credentials
Request
Response
Choose an example:
application/hal+json